import React from "react";
import ModuleToggle from "../components/ui/ModuleToggle";
import SideBarLeft from "../components/layout/sidebarLeft/SideBarLeft";
import SideBarRight from "../components/layout/sidebarRight/SideBarRight";
import useModuleStore from "../store/useModuleStore";
import RealTimeVisulization from "../components/ui/componets/RealTimeVisulization";
import Tools from "../components/ui/Tools";

const Project: React.FC = () => {
  const { activeModule } = useModuleStore();

  return (
    <div className="project-main">
      <ModuleToggle />
      <SideBarLeft />
      <SideBarRight />
      {activeModule === "visualization" && <RealTimeVisulization />}
      <Tools />
    </div>
  );
};

export default Project;
